This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 906430 - Do not use %{_lib} in specfile for the nss and pam libraries
Do not use %{_lib} in specfile for the nss and pam libraries
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Hrozek
Fedora Extras Quality Assurance
:
Depends On: 906427
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 10:59 EST by Jakub Hrozek
Modified: 2013-08-23 09:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 906427
Environment:
Last Closed: 2013-08-23 09:28:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jakub Hrozek 2013-01-31 10:59:57 EST
+++ This bug was initially created as a clone of Bug #906427 +++

Description of problem:
After the contents of /lib was moved to /usr/lib, we shouldn't use macros that expand to /lib in our specfile. Currently /lib is a symlink to /usr/lib but there is no guarantee it will be this way forever.

Some automated QA tools (mainly in RHEL) are also discouraging the use of %{_lib}.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. grep '%{_lib}' sssd.spec
2.
3.
  
Actual results:
several matches

Expected results:
no match

Additional info:
this bug will be fixed in RHEL and Fedora only, not upstream
Comment 1 Fedora End Of Life 2013-04-03 11:18:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Jakub Hrozek 2013-08-23 09:28:37 EDT
This is fixed in F19 already.

Note You need to log in before you can comment on or make changes to this bug.